commit:     d0a1c98f515946c72e4cb43840f3d5dcbf7b2172
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 14 10:47:42 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Jun 14 10:47:50 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0a1c98f

latex-package.eclass: Drop redicting output to /dev/null for latex commands.

Most people dont display build log to the terminal anymore and having this 
output in the logs is mandatory for understanding bugs.

 eclass/latex-package.eclass | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/eclass/latex-package.eclass b/eclass/latex-package.eclass
index 67f23d08439..95d98e67370 100644
--- a/eclass/latex-package.eclass
+++ b/eclass/latex-package.eclass
@@ -139,11 +139,11 @@ latex-package_src_doinstall() {
                                        do
                                                [ -n "${LATEX_PACKAGE_SKIP}" ] 
&& has ${i##*/} ${LATEX_PACKAGE_SKIP} && continue
                                                einfo "Making documentation: $i"
-                                               if pdflatex 
${LATEX_DOC_ARGUMENTS} --interaction=batchmode $i &> /dev/null ; then
-                                                       pdflatex 
${LATEX_DOC_ARGUMENTS} --interaction=batchmode $i &> /dev/null || die
+                                               if pdflatex 
${LATEX_DOC_ARGUMENTS} --interaction=batchmode $i ; then
+                                                       pdflatex 
${LATEX_DOC_ARGUMENTS} --interaction=batchmode $i || die
                                                else
                                                        einfo "pdflatex failed, 
trying texi2dvi"
-                                                       texi2dvi -q -c 
--language=latex $i &> /dev/null || die
+                                                       texi2dvi -q -c 
--language=latex $i || die
                                                fi
                                        done
                                fi
@@ -205,7 +205,7 @@ latex-package_src_compile() {
        for i in `find \`pwd\` -maxdepth 1 -type f -name "*.ins"`
        do
                einfo "Extracting from $i"
-               latex --interaction=batchmode $i &> /dev/null || die
+               latex --interaction=batchmode $i || die
        done
 }
 

Reply via email to